### Function

# Gimp Metadata deserialize

#### Declaration [src]

    GimpMetadata*
    gimp_metadata_deserialize (
      const gchar* metadata_xml
    )

#### Description [src]

Deserializes a string of XML that has been created by gimp_metadata_serialize().

Available since: | 2.10

#### Parameters

`metadata_xml` | `const gchar*`
| A string of serialized metadata XML.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GimpMetadata`
| The new `GimpMetadata`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.